/**
 * Copyright (c) 2012 - 2019 Data In Motion and others.
 * All rights reserved. 
 * 
 * This program and the accompanying materials are made available under the terms of the 
 * Eclipse Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     Data In Motion - initial API and implementation
 */
package org.gecko.rsa.core;

import org.gecko.rsa.model.rsa.EndpointDescriptions;
import org.osgi.annotation.versioning.ProviderType;

/**
 * Marker interface to get {@link EndpointDescriptions}
 * @author Mark Hoffmann
 * @since 29.03.2019
 */
@ProviderType
public interface EndpointDescriptionProvider {

	/**
	 * Returns the endpoint descriptions
	 * @return the endpoint descriptions
	 */
	EndpointDescriptions getEndpointDescriptions();
	
}
