/**
 * Copyright (c) 2012 - 2019 Data In Motion and others.
 * All rights reserved. 
 * 
 * This program and the accompanying materials are made available under the terms of the 
 * Eclipse Public License v1.0 which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     Data In Motion - initial API and implementation
 */
package org.gecko.rsa.discovery.ma.handler;

/**
 * Configuration annotation for the message adapter discovery
 * @author Mark Hoffmann
 * @since 05.04.2019
 */
public @interface MADiscoveryConfig {
	
	String name();
	String addTopic() default MADiscoveryConstants.TOPIC_ADD_SERVICE;
	String modifyTopic() default MADiscoveryConstants.TOPIC_MODIFY_SERVICE;
	String removeTopic() default MADiscoveryConstants.TOPIC_REMOVE_SERVICE;
	String importDescription() default MADiscoveryConstants.TOPIC_GET_DESCRIPTION;
	String initialGetResponse() default MADiscoveryConstants.TOPIC_ANNOUNCED_SERVICE;

}